Package com.ocient.jdbc.proto

# Class ClientWireProtocol.ExecuteExportResponse.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ExecuteExportResponse.Builder>
com.google.protobuf.GeneratedMessage.Builder<ClientWireProtocol.ExecuteExportResponse.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.ExecuteExportResponse.Builder

All Implemented Interfaces:
  `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `ClientWireProtocol.ExecuteExportResponseOrBuilder`, `Cloneable`

Enclosing class:
  `ClientWireProtocol.ExecuteExportResponse`

public static final class ClientWireProtocol.ExecuteExportResponse.Builder extends GeneratedMessage.Builder<ClientWireProtocol.ExecuteExportResponse.Builder> implements ClientWireProtocol.ExecuteExportResponseOrBuilder
Protobuf type `xg.cmdcomp.ExecuteExportResponse`

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.ExecuteExportResponse`
`build()`
Constructs the message based on the state of the Builder.
`ClientWireProtocol.ExecuteExportResponse`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`ClientWireProtocol.ExecuteExportResponse.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`ClientWireProtocol.ExecuteExportResponse.Builder`
`clearExportStatement()`
`string exportStatement = 2;`
`ClientWireProtocol.ExecuteExportResponse.Builder`
`clearQueryId()`
`string queryId = 6;`
`ClientWireProtocol.ExecuteExportResponse.Builder`
`clearRedirect()`
Redirect = true, means we are telling client to send the command elsewhere
`ClientWireProtocol.ExecuteExportResponse.Builder`
`clearRedirectHost()`
`string redirectHost = 4;`
`ClientWireProtocol.ExecuteExportResponse.Builder`
`clearRedirectPort()`
`fixed32 redirectPort = 5;`
`ClientWireProtocol.ExecuteExportResponse.Builder`
`clearResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ExecuteExportResponse`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`String`
`getExportStatement()`
`string exportStatement = 2;`
`ByteString`
`getExportStatementBytes()`
`string exportStatement = 2;`
`String`
`getQueryId()`
`string queryId = 6;`
`ByteString`
`getQueryIdBytes()`
`string queryId = 6;`
`boolean`
`getRedirect()`
Redirect = true, means we are telling client to send the command elsewhere
`String`
`getRedirectHost()`
`string redirectHost = 4;`
`ByteString`
`getRedirectHostBytes()`
`string redirectHost = 4;`
`int`
`getRedirectPort()`
`fixed32 redirectPort = 5;`
`ClientWireProtocol.ConfirmationResponse`
`getResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponse.Builder`
`getResponseBuilder()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder`
`getResponseOrBuilder()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`boolean`
`hasResponse()`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`protected GeneratedMessage.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`ClientWireProtocol.ExecuteExportResponse.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`ClientWireProtocol.ExecuteExportResponse.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`ClientWireProtocol.ExecuteExportResponse.Builder`
`mergeFrom(ClientWireProtocol.ExecuteExportResponse other)`
`ClientWireProtocol.ExecuteExportResponse.Builder`
`mergeResponse(ClientWireProtocol.ConfirmationResponse value)`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ExecuteExportResponse.Builder`
`setExportStatement(String value)`
`string exportStatement = 2;`
`ClientWireProtocol.ExecuteExportResponse.Builder`
`setExportStatementBytes(ByteString value)`
`string exportStatement = 2;`
`ClientWireProtocol.ExecuteExportResponse.Builder`
`setQueryId(String value)`
`string queryId = 6;`
`ClientWireProtocol.ExecuteExportResponse.Builder`
`setQueryIdBytes(ByteString value)`
`string queryId = 6;`
`ClientWireProtocol.ExecuteExportResponse.Builder`
`setRedirect(boolean value)`
Redirect = true, means we are telling client to send the command elsewhere
`ClientWireProtocol.ExecuteExportResponse.Builder`
`setRedirectHost(String value)`
`string redirectHost = 4;`
`ClientWireProtocol.ExecuteExportResponse.Builder`
`setRedirectHostBytes(ByteString value)`
`string redirectHost = 4;`
`ClientWireProtocol.ExecuteExportResponse.Builder`
`setRedirectPort(int value)`
`fixed32 redirectPort = 5;`
`ClientWireProtocol.ExecuteExportResponse.Builder`
`setResponse(ClientWireProtocol.ConfirmationResponse value)`
`.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ExecuteExportResponse.Builder`
`setResponse(ClientWireProtocol.ConfirmationResponse.Builder builderForValue)`
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessage.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage.Builder<ClientWireProtocol.ExecuteExportResponse.Builder>`

### clear

public ClientWireProtocol.ExecuteExportResponse.Builder clear()
Description copied from class: `GeneratedMessage.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessage.Builder<ClientWireProtocol.ExecuteExportResponse.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessage.Builder<ClientWireProtocol.ExecuteExportResponse.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.ExecuteExportResponse getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public ClientWireProtocol.ExecuteExportResponse build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public ClientWireProtocol.ExecuteExportResponse buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public ClientWireProtocol.ExecuteExportResponse.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ClientWireProtocol.ExecuteExportResponse.Builder>`

### mergeFrom

public ClientWireProtocol.ExecuteExportResponse.Builder mergeFrom(ClientWireProtocol.ExecuteExportResponse other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessage.Builder<ClientWireProtocol.ExecuteExportResponse.Builder>`

### mergeFrom

public ClientWireProtocol.ExecuteExportResponse.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ClientWireProtocol.ExecuteExportResponse.Builder>`
Throws:
  `IOException` - an I/O error reading from the stream

### hasResponse

public boolean hasResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `hasResponse` in interface `ClientWireProtocol.ExecuteExportResponseOrBuilder`
Returns:
  Whether the response field is set.

### getResponse

public ClientWireProtocol.ConfirmationResponse getResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `getResponse` in interface `ClientWireProtocol.ExecuteExportResponseOrBuilder`
Returns:
  The response.

### setResponse

public ClientWireProtocol.ExecuteExportResponse.Builder setResponse(ClientWireProtocol.ConfirmationResponse value)
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### setResponse

public ClientWireProtocol.ExecuteExportResponse.Builder setResponse(ClientWireProtocol.ConfirmationResponse.Builder builderForValue)
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### mergeResponse

public ClientWireProtocol.ExecuteExportResponse.Builder mergeResponse(ClientWireProtocol.ConfirmationResponse value)
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### clearResponse

public ClientWireProtocol.ExecuteExportResponse.Builder clearResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getResponseBuilder

public ClientWireProtocol.ConfirmationResponse.Builder getResponseBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

### getResponseOrBuilder

public ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `getResponseOrBuilder` in interface `ClientWireProtocol.ExecuteExportResponseOrBuilder`

### getExportStatement

public String getExportStatement()
`string exportStatement = 2;`

Specified by:
  `getExportStatement` in interface `ClientWireProtocol.ExecuteExportResponseOrBuilder`
Returns:
  The exportStatement.

### getExportStatementBytes

public ByteString getExportStatementBytes()
`string exportStatement = 2;`

Specified by:
  `getExportStatementBytes` in interface `ClientWireProtocol.ExecuteExportResponseOrBuilder`
Returns:
  The bytes for exportStatement.

### setExportStatement

public ClientWireProtocol.ExecuteExportResponse.Builder setExportStatement(String value)
`string exportStatement = 2;`

Parameters:
  `value` - The exportStatement to set.
Returns:
  This builder for chaining.

### clearExportStatement

public ClientWireProtocol.ExecuteExportResponse.Builder clearExportStatement()
`string exportStatement = 2;`

Returns:
  This builder for chaining.

### setExportStatementBytes

public ClientWireProtocol.ExecuteExportResponse.Builder setExportStatementBytes(ByteString value)
`string exportStatement = 2;`

Parameters:
  `value` - The bytes for exportStatement to set.
Returns:
  This builder for chaining.

### getRedirect

public boolean getRedirect()

     Redirect = true, means we are telling client to send the command elsewhere

`bool redirect = 3;`

Specified by:
  `getRedirect` in interface `ClientWireProtocol.ExecuteExportResponseOrBuilder`
Returns:
  The redirect.

### setRedirect

public ClientWireProtocol.ExecuteExportResponse.Builder setRedirect(boolean value)

     Redirect = true, means we are telling client to send the command elsewhere

`bool redirect = 3;`

Parameters:
  `value` - The redirect to set.
Returns:
  This builder for chaining.

### clearRedirect

public ClientWireProtocol.ExecuteExportResponse.Builder clearRedirect()

     Redirect = true, means we are telling client to send the command elsewhere

`bool redirect = 3;`

Returns:
  This builder for chaining.

### getRedirectHost

public String getRedirectHost()
`string redirectHost = 4;`

Specified by:
  `getRedirectHost` in interface `ClientWireProtocol.ExecuteExportResponseOrBuilder`
Returns:
  The redirectHost.

### getRedirectHostBytes

public ByteString getRedirectHostBytes()
`string redirectHost = 4;`

Specified by:
  `getRedirectHostBytes` in interface `ClientWireProtocol.ExecuteExportResponseOrBuilder`
Returns:
  The bytes for redirectHost.

### setRedirectHost

public ClientWireProtocol.ExecuteExportResponse.Builder setRedirectHost(String value)
`string redirectHost = 4;`

Parameters:
  `value` - The redirectHost to set.
Returns:
  This builder for chaining.

### clearRedirectHost

public ClientWireProtocol.ExecuteExportResponse.Builder clearRedirectHost()
`string redirectHost = 4;`

Returns:
  This builder for chaining.

### setRedirectHostBytes

public ClientWireProtocol.ExecuteExportResponse.Builder setRedirectHostBytes(ByteString value)
`string redirectHost = 4;`

Parameters:
  `value` - The bytes for redirectHost to set.
Returns:
  This builder for chaining.

### getRedirectPort

public int getRedirectPort()
`fixed32 redirectPort = 5;`

Specified by:
  `getRedirectPort` in interface `ClientWireProtocol.ExecuteExportResponseOrBuilder`
Returns:
  The redirectPort.

### setRedirectPort

public ClientWireProtocol.ExecuteExportResponse.Builder setRedirectPort(int value)
`fixed32 redirectPort = 5;`

Parameters:
  `value` - The redirectPort to set.
Returns:
  This builder for chaining.

### clearRedirectPort

public ClientWireProtocol.ExecuteExportResponse.Builder clearRedirectPort()
`fixed32 redirectPort = 5;`

Returns:
  This builder for chaining.

### getQueryId

public String getQueryId()
`string queryId = 6;`

Specified by:
  `getQueryId` in interface `ClientWireProtocol.ExecuteExportResponseOrBuilder`
Returns:
  The queryId.

### getQueryIdBytes

public ByteString getQueryIdBytes()
`string queryId = 6;`

Specified by:
  `getQueryIdBytes` in interface `ClientWireProtocol.ExecuteExportResponseOrBuilder`
Returns:
  The bytes for queryId.

### setQueryId

public ClientWireProtocol.ExecuteExportResponse.Builder setQueryId(String value)
`string queryId = 6;`

Parameters:
  `value` - The queryId to set.
Returns:
  This builder for chaining.

### clearQueryId

public ClientWireProtocol.ExecuteExportResponse.Builder clearQueryId()
`string queryId = 6;`

Returns:
  This builder for chaining.

### setQueryIdBytes

public ClientWireProtocol.ExecuteExportResponse.Builder setQueryIdBytes(ByteString value)
`string queryId = 6;`

Parameters:
  `value` - The bytes for queryId to set.
Returns:
  This builder for chaining.